Page MenuHomePhabricator

Consolidate CSS background images implementation with core mixins or ResourceLoaderImageModule
Closed, DeclinedPublic

Description

As pointed out by @Spage in https://gerrit.wikimedia.org/r/#/c/238090/2/resources/master.less the current way to include background images

background-image: url( search_active.svg );

should use the background-image-svg mixin in core's /resources/src/mediawiki.less/mediawiki.mixins.less , or go all-in and use ResourceLoaderImageModule which automatically supplies the background image for a CSS class.

Related Objects

StatusAssignedTask
Resolved Spage
Resolved Spage
Resolved Spage
Resolvedori
DeclinedNone
ResolvedNone
DeclinedNone
ResolvedAnomie
DeclinedNone
OpenNone
OpenNone
Resolved Spage
DeclinedNone
Resolvedjeropbrenda
OpenNone
DeclinedQgil
Resolved Spage
ResolvedQgil
ResolvedQgil
ResolvedQgil
Resolved Spage
Resolved Spage
Resolved Spage
DeclinedNone
DeclinedNone
Resolved Spage
Resolved Spage
DeclinedNone
DeclinedNone
DeclinedNone
ResolvedVolker_E

Event Timeline

Volker_E created this task.Sep 21 2015, 7:04 AM
Volker_E raised the priority of this task from to Needs Triage.
Volker_E updated the task description. (Show Details)
Volker_E added a project: Blueprint.
Volker_E added subscribers: Volker_E, Spage.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 21 2015, 7:04 AM
Volker_E renamed this task from Consolidate background-images implementation with core mixins or ResourceLoaderImageModule to Consolidate CSS background images implementation with core mixins or ResourceLoaderImageModule.Sep 21 2015, 7:04 AM
Volker_E set Security to None.
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 13 2015, 7:38 PM
Prtksxna closed this task as Declined.May 31 2017, 6:24 PM
Prtksxna added a subscriber: Prtksxna.

The skin is no longer maintained